# Data storage requirements

The Market Basket Analysis is designed to work with SQL storages.
To benefit natively from all the Dataiku application automation, you will need one of the following connections :
- Snowflake
- Google Cloud Platform:
    - BigQuery + GCS  **(⚠️Both are required if you want to leverage BigQuery)**
- Azure:
    - Azure Blob Storage
- PostgreSQL
- Microsoft SQL server
    - :warning:  Dates must be mandatorily stored with [ISO-8601 or RFC 822](https://doc.dataiku.com/dss/latest/preparation/dates.html#meanings-and-types) formats if you work with this storage.

Roll-out and customization services can be offered on demand for other data storage connections.