# Version 1.1.5 - Upgrade Release - 2024-02-14

- [Application]: Decrease of the minimum value of the parameter 'itemsets_min_frequency' from '0.001' to '0.00001'.

- Bug fixes: 
    - Change of the logic for computing the field ‘item_to_keep’ in the prepare recipe [compute_items_support](recipe:compute_items_support).
    - Deprecated global variables were still used in the application:
        - ${max_itemsets_size} is now ${max_frequent_itemsets_size}
            - This variable was used in recipe compute_association_rules
            
        - ${customers_transactions_filtering_reference_date} is now ${customer_transactions_filtering_reference_date}
        - ${customers_transactions_filtering_time_unit} is now ${customer_transactions_filtering_time_unit}
        - ${customers_transactions_filtering_time_frame} is now ${customer_transactions_filtering_time_frame} 
        - ${customers_transactions_oldest_date} is now ${customer_transactions_oldest_date}
        - ${customers_transactions_newest_date} is now ${customer_transactions_newest_date}
            - These Variables were used in recipe [compute_transactions_customers_filtered_dates](recipe:compute_transactions_customers_filtered_dates) and in scenario [SEARCH_RECOMMENDATIONS_FOR_CUSTOMERS](scenario:SEARCH_RECOMMENDATIONS_FOR_CUSTOMERS). 
    


# Version 1.1.4 - Upgrade Release - 2024-01-17

- [Application] Change of the code envirionment minimum python version to Python 3.9 *(previous requirement was Python 3.6)*.

# Version 1.1.3 - Patch Release - 2023-11
- Updates for cloud availability

# Version 1.1.2 - Upgrade Release - 2023-06-28
- [Libraries] In dku_utils.datasets.dataset_commons, update of the function with_new_output().



# Version 1.1.1 - Upgrade Release - 2023-04-28

- [Application] Improvements of the recipe [compute_association_rules](recipe:compute_association_rules): 
    - Output datasets writing method have been changed in cases where a 'rules scope' was defined, to avoid opening several writers for each iteration on a 'rule_scope'.
     
- [Application] Google BigQuery integration: The project's application can now connect to BigQuery datasets and build the flow end to end. :warning: Note: Both 'BigQuery' and 'GCS' connections are required to run the application.